#!/bin/bash
Rscript --no-save $(dirname $(readlink -f $0))/RnBeadsGalaxy.R $* > /tmp/rnbeads.stdout 2>/tmp/rnbeads.stderr 
#Rscript --no-save \$R_SCRIPTS_PATH/RnBeadsGalaxy.R $*
outfile=`echo $* | sed -e "s/.*--output-file=\(.*\)[[:blank:]].*/\1/g"`
outdir=`echo $* | sed -e "s/.*--report-dir=\(.*\)[[:blank:]].*/\1/g"`


if [ -s /tmp/rnbeads.stderr ]
then
	cat /tmp/rnbeads.stdout >&2
	cat $outdir/analysis.log >&2
	cat /tmp/rnbeads.stderr >&2
	exit 3
else
	echo "<html>\n<body>\n" >> $outfile
	echo "<a href=\"index.html\">RnBeads report</a>\n" >> $outfile
	echo "<br/><br/>\nOutput was generated during the execution:" >> $outfile
	echo "<p>" >> outfile
	cat /tmp/rnbeads.stdout >> $outfile
	echo "</p>" >> $outfile
	echo "</body>\n</html>" >> $outfile
	exit 0
fi